Skip to content

Queue a container lifecycle action

POST
/container/{ocid}/actions/{action}
curl --request POST \
--url https://sylve.lan:8181/api/container/1/actions/start \
--header 'Authorization: <Authorization>'

Queue a start, stop, restart, or kill action for a container

ocid
required
integer

Container ID

action
required
string
Allowed values: start stop restart kill

Lifecycle action

Accepted

Media typeapplication/json
object
data
object
action
string
ocId
integer
outcome
string
taskId
integer
error
string
message
string
status
string
Examplegenerated
{
"data": {
"action": "example",
"ocId": 1,
"outcome": "example",
"taskId": 1
},
"error": "example",
"message": "example",
"status": "example"
}